AnsweredAssumed Answered

The geodatabase system table could not be created. [GDB_Items : Error (-51)]

Question asked by mousaem on Dec 25, 2013
Latest reply on Jan 24, 2014 by mousaem
i am in the process of upgrading my ArcSDE geodatabase from version 9.3.1 SP2 to 10.1 SP1

my current environment setup:
IBM AIX 6.1
Oracle 11gR2 (11.2.0.3.8)
ArcSDE 10.1 SP1
*.* Remark: This Geodatabase Environment is used for Ericsson network engineer product.


when i ran the pre-requisite check up from ArcCatalog 10.1 SP1 it went through fine.

the issue occurs while doing the actual upgrade, with the following error output:

//-------------------------------------------------------------------------------------//
Executing: UpgradeGDB "Database Connections\XXX.sde" NO_PREREQUISITE_CHECK UPGRADE
Start Time: Thu Dec 26 09:38:41 2013
Paused the database for upgrade.
There are no other active connections.
User has privileges required to upgrade.
Connected RDBMS instance is not setup for ST_GEOMETRY configuration. [Unable to determine current version of ST_SHAPELIB. The latest ST_GEOMETRY and dependent libraries need to be copied to the correct software location. Refer to the ArcGIS help topics for more details.
]Running Pre-Requisite check (C:\Users\XXX\AppData\Roaming\ESRI\Desktop10.1\ArcCatalog\XXX.sde).
Instance supports XML type.
Server tables and stored procedures are up to date.
The geodatabase system table could not be created. [GDB_Items : Error (-51)]
The geodatabase system table could not be created. [GDB_Items : Error (-51)]Unpaused the database.
Failed to execute (UpgradeGDB).
Failed at Thu Dec 26 09:38:54 2013 (Elapsed Time: 13.00 seconds)

//--------------------------------------------------------------------------------------------------------------------------

the error is generic, did somebody faced this issue before ?

Regards,
Emad

Outcomes